Agent Telephony
Get an agent telephony binding
Retrieves a telephony binding owned by the voice agent named in the path.
Paramètres d’en-tête
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de chemin d’accès
agent_name
string
obligatoire
The name of the voice agent that owns the binding.
binding_id
string
obligatoire
The service-generated binding identifier.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
En-têtes
ETag
string
obligatoire
The entity tag to send in the If-Match header when updating or deleting the binding.
Corps
teams_phone_extension
TeamsPhoneExtensionTelephonyBinding
A Microsoft Teams Phone Extension binding owned by a voice agent.
provider
enum
obligatoire
The Microsoft Teams Phone Extension provider.
phone_number
string
The optional display phone number for the Teams resource account.
resource_account_object_id
string
obligatoire
Universally Unique Identifier
twilio
TwilioTelephonyBinding
A Twilio binding owned by a voice agent.
provider
enum
obligatoire
The Twilio provider.
phone_number
string
obligatoire
The Twilio E.164 phone number.
Requête
GET /agents/{agent_name}/telephony/bindings/{binding_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json